'use strict';


const Controller = require('egg').Controller;

// 车辆状态机模块
class CarStatusCloudController extends Controller {

  constructor(ctx) {
    super(ctx);
    // 特殊的入参校验可以重写在这，默认可以使用commonRule
    this.createRule = {
      vin: { type: 'string', required: false },
      startTime: { type: 'number', min: 0 }, // 开始时间的时间戳  包含
      endTime: { type: 'number', min: 0 }, // 结束时间的时间戳  不包含(客户端处理结束时间  下一日 ，下一月第一日 ，下一年第一日)
    };
  }

  // 危险驾驶
  async normal() {
    const { ctx, service } = this;
    // 校验参数 组装参数
    const payload = ctx.validate(this.createRule);
    // // 调用 Service 进行业务处理
    const data = await service.tFsmHitoryService.normal(payload);
    // // 设置响应内容和响应状态码
    ctx.success({ data });
  }

  // 故障
  async fault() {
    const { ctx, service } = this;
    // 校验参数 组装参数
    const payload = ctx.validate(this.createRule);
    // // 调用 Service 进行业务处理
    const data = await service.tFsmHitoryService.fault(payload);
    // // 设置响应内容和响应状态码
    ctx.success({ data });
  }

  // 智能驾驶次数
  async intelligence() {
    const { ctx, service } = this;
    // 校验参数 组装参数
    const payload = ctx.validate(this.createRule);
    // // 调用 Service 进行业务处理
    const data = await service.tFsmHitoryService.intelligence(payload);
    // // 设置响应内容和响应状态码
    ctx.success({ data });
  }

  // 智能驾驶行程
  async intelligenceMix() {
    const { ctx, service } = this;
    // 校验参数 组装参数
    const payload = ctx.validate(this.createRule);
    // // 调用 Service 进行业务处理
    const data = await service.tFsmHitoryService.intelligenceMix(payload);
    // // 设置响应内容和响应状态码
    ctx.success({ data });
  }


}

module.exports = CarStatusCloudController;
