'use strict';

const Controller = require('egg').Controller;

class HomeController extends Controller {
  constructor(ctx) {
    super(ctx);
    this.createRule = {
      startTime: { type: 'number', min: 0, required: false }, // 开始时间的时间戳  包含
      endTime: { type: 'number', min: 0, required: false }, // 结束时间的时间戳  不包含(客户端处理结束时间  下一日 ，下一月第一日 ，下一年第一日)
    };

  }
  async index() {
    const { ctx } = this;
    ctx.body = 'hi, 20210710';

  }

  // rbac 菜单
  async getMenu() {
    const { ctx, service } = this;
    const payload = ctx.validate({});
    const data = await service.otherService.rbac(payload);
    ctx.success({ data });
  }

  // 预留手动任务
  async task() {
    const { ctx, service } = this;
    const { startTime, endTime } = ctx.validate(this.createRule);
    await service.statisticsService.task(startTime, endTime);
    ctx.body = 'complete';
  }


}

module.exports = HomeController;
