'use strict';
module.exports = app => {
  const mongoose = app.mongoose;
  const Schema = mongoose.Schema;
  const conn = app.mongooseDB.get('etlLocalDB');
  // APP异常数据结构 本地清洗  数据结构
  const AppExceptionRecordSchema = new Schema({
    create_date: { type: Number }, // 统计的数据是哪一天的
    year: { type: Number }, // 年 统计的数据
    month: { type: Number }, // 月 统计的数据
    day: { type: Number }, // 日 统计的数据
    dateString: { type: String }, // 时间字符串  yyyy-MM-dd
    start_time: { type: Date }, // 开始统计时间
    end_time: { type: Date, default: Date.now }, // 结束统计时间

    total: { type: Number }, // 异常总数
    sys_count: { type: Number }, // 系统异常总数
    interface_exception_count: { type: Number }, // 接口异常总数


  });
  AppExceptionRecordSchema.index({ create_date: -1 });
  return conn.model('AppExceptionRecord', AppExceptionRecordSchema, 'lc_app_exception_record');
};
