'use strict';
module.exports = app => {
  const mongoose = app.mongoose;
  const Schema = mongoose.Schema;
  const conn = app.mongooseDB.get('etlDB');
  // 用户信息数据结构
  const TRbacUserSchema = new Schema({
    _id: { type: String }, // 主键  年月日+序列号
    user_id: { type: String }, // 用户ID
    user_name: { type: String }, // 用户姓名
    user_real_name: { type: String }, // 用户真实姓名
    user_mobileno: { type: String }, // 用户手机号
    user_orgin: { type: String }, // 用户来源（APP/IVI）origin
    // role_id: { type: String }, // 用户角色：2为潜客，其他为车主
    role_id: { type: Number }, // 用户角色：2为潜客，其他为车主
    // role_id:2 潜客（你口中的粉丝）role_id:90（实销车车主）
    gender: { type: String }, // 性别（F-女，M-男） 可能没有
    id_card: { type: String }, // 身份证号  可能没有
    create_date: { type: Number }, // 创建时间戳
    update_date: { type: Number }, // 更新时间戳
  });

  TRbacUserSchema.index({ create_date: -1 });
  TRbacUserSchema.index({ create_date: -1, user_orgin: -1 });
  TRbacUserSchema.index({ create_date: -1, user_orgin: -1, role_id: -1 });
  TRbacUserSchema.index({ create_date: -1, role_id: -1 });
  TRbacUserSchema.index({ user_id: -1 });
  TRbacUserSchema.index({ create_date: -1, user_id: -1 });
  TRbacUserSchema.index({ user_real_name: -1, user_mobileno: -1 });
  return conn.model('TRbacUser', TRbacUserSchema, 't_rbac_user');
};
