'use strict';
module.exports = app => {
  const mongoose = app.mongoose;
  const Schema = mongoose.Schema;
  const conn = app.mongooseDB.get('etlDB');
  // 入网车辆信息
  const TVehicleRecordSchema = new Schema({
    _id: { type: String }, // 主键，年月日 + 车辆vin
    vin: { type: String }, // 车辆VIN 车架号
    series_code: { type: String }, // 车系CODE
    series_name: { type: String }, // 车系名称
    sale_date: { type: Number }, // 销售日期戳
    is_saled_car: { type: Number }, // 车辆类型
    dealer_code: { type: String }, // 经销商CODE
    dealer_name: { type: String }, // 经销商名称
    pro_code: { type: String }, // 省编码  可能没有
    city_code: { type: String }, // 市编码  可能没有
    tsp_status: { type: String }, // T服务开通状态
    user_id: { type: Number }, // 用户ID  可能没有
    create_time: { type: Number }, // 创建时间，入网时间
    update_time: { type: Number }, // 更新时间戳
    model_code: { type: String }, // 车型CODE
    model_name: { type: String }, // 车型名称
    // 备注说明: 实销车：“user_id不为空&& "is_saled_car"=1
    //         非实销车：dealer_code，dealer_name字段为空

  });

  TVehicleRecordSchema.index({ create_time: -1 });
  TVehicleRecordSchema.index({ vin: -1 });
  TVehicleRecordSchema.index({ user_id: -1 });
  TVehicleRecordSchema.index({ user_id: -1, pro_code: -1, city_code: -1 });
  TVehicleRecordSchema.index({ vin: -1, series_code: -1, model_code: -1 });
  TVehicleRecordSchema.index({ is_saled_car: -1, sale_date: -1, user_id: -1 });
  TVehicleRecordSchema.index({ is_saled_car: -1, sale_date: -1, user_id: -1, series_code: -1, model_code: -1 });
  TVehicleRecordSchema.index({ is_saled_car: -1, sale_date: -1, user_id: -1, series_code: -1, model_code: -1, pro_code: -1, city_code: -1 });
  TVehicleRecordSchema.index({ create_time: -1, series_code: -1, model_code: -1 });
  TVehicleRecordSchema.index({ create_time: -1, series_code: -1, model_code: -1, is_saled_car: -1, sale_date: -1, user_id: -1 });
  return conn.model('TVehicleRecord', TVehicleRecordSchema, 't_vehicle_record');
};
