'use strict';
module.exports = app => {
  const mongoose = app.mongoose;
  const Schema = mongoose.Schema;
  const conn = app.mongooseDB.get('etlDB');
  // 车辆上报分类信息统计
  const TVehicleReportInfoSchema = new Schema({
    _id: { type: String }, // 主键，年月日 + 车辆vin
    vin: { type: String }, // vin
    report_time: { type: Number }, // 上报时间戳
    series_code: { type: String }, //  车系编码
    series_name: { type: String }, // 车系名称
    vhl_val_cnt: { type: Number }, // 车况数量
    alarm_cnt: { type: Number }, // 告警数量
    failure_cnt: { type: Number }, // 故障数量

  });

  TVehicleReportInfoSchema.index({ report_time: -1 });
  TVehicleReportInfoSchema.index({ report_time: -1, vin: -1 });

  return conn.model('TVehicleReportInfo', TVehicleReportInfoSchema,
    't_vehicle_report_info');
};
