'use strict';

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = () => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  const userConfig = { // uat
    chargingCycleApi:
        'http://10.6.181.34:60080/fawtsp/fawiovconditionquery/iov/analysis/driving-behavior/charging-cycle',
    rbacApi: // uat
        'http://10.6.181.34:60080/fawtsp/faw-ops-portal/op/portal/basic/userInfoFind/account/loginByToken',
    travelApi: // uat
        'http://10.6.181.34:60080/fawtsp/fawiovconditionquery/iov/vhl/locationsList',
  };

  config.mongoose = {
    clients: {
      etlDB: { // 原始数据库
        url: 'mongodb://faw-etl:faw-etl123@uat.dbaas.private:27028/faw-etl', // uat
        options: {
          socketTimeoutMS: 900000,
          useUnifiedTopology: true,
          poolSize: 40,
        },
      },
      etlLocalDB: { // 本地清洗后的数据库
        url: 'mongodb://local3:local3%40123@uat.dbaas.private:27028/faw-etl-local3', // uat
        options: {
          socketTimeoutMS: 900000,
          useUnifiedTopology: true,
          poolSize: 40,
        },
      },
      etlAutoDB: { // 自动化测试数据库
        url: 'mongodb://admin:mongo123@uat.dbaas.private:27028/faw', // uat
        options: {
          socketTimeoutMS: 900000,
          useUnifiedTopology: true,
          poolSize: 40,
        },
      },
    },
  };


  config.redis = {
    client: {
      cluster: true,
      nodes: [
        {
          host: '10.124.8.41',
          port: 16377,
          family: 'tsp',
          password: 'tsp2020',
          db: 0,
        },
        {
          host: '10.124.8.105',
          port: 16377,
          family: 'tsp',
          password: 'tsp2020',
          db: 0,
        },
        {
          host: '10.124.8.75',
          port: 16377,
          family: 'tsp',
          password: 'tsp2020',
          db: 0,
        },
        {
          host: '10.124.8.104',
          port: 16377,
          family: 'tsp',
          password: 'tsp2020',
          db: 0,
        },
        {
          host: '10.124.8.95',
          port: 16377,
          family: 'tsp',
          password: 'tsp2020',
          db: 0,
        },
        {
          host: '10.124.8.63',
          port: 16377,
          family: 'tsp',
          password: 'tsp2020',
          db: 0,
        },
      ],
    },

  };

  return {
    ...userConfig,
    ...config,
  };
};
