/* eslint valid-jsdoc: "off" */

'use strict';

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = () => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  const userConfig = { // sit
    chargingCycleApi:
        'http://10.6.181.22:60080/fawtsp/fawiovconditionquery/iov/analysis/driving-behavior/charging-cycle',
    rbacApi: //  sit
        'http://10.6.181.22:60080/fawtsp/faw-ops-portal/op/portal/basic/userInfoFind/account/loginByToken',
    travelApi: //  sit
        'http://10.6.181.22:60080/fawtsp/fawiovconditionquery/iov/vhl/locationsList',
  };

  config.mongoose = {
    clients: {
      etlDB: { // 原始数据库
        url: 'mongodb://faw-etl-admin:faw-etl-admin%40123@10.112.16.11:27017/faw-etl', // sit
        options: {
          socketTimeoutMS: 900000,
          useUnifiedTopology: true,
          poolSize: 40,
        },
      },
      etlLocalDB: { // 本地清洗后的数据库
        url: 'mongodb://faw-etl-local:faw-etl-local%40123@10.112.16.11:27017/faw-etl-local', // sit
        options: {
          socketTimeoutMS: 900000,
          useUnifiedTopology: true,
          poolSize: 40,
        },
      },
      etlAutoDB: { // 自动化测试数据库
        url: 'mongodb://fawtsp:fawtsp@10.112.16.11:27017/faw', // sit
        options: {
          socketTimeoutMS: 900000,
          useUnifiedTopology: true,
          poolSize: 40,
        },
      },
    },
  };
  config.redis = {
    client: {
      cluster: true,
      nodes: [
        {
          host: '10.112.16.11',
          port: 6001,
          family: 'tsp',
          password: 'Qmgps2019!@#',
          db: 0,
        },
        {
          host: '10.112.16.11',
          port: 6002,
          family: 'tsp',
          password: 'Qmgps2019!@#',
          db: 0,
        },
        {
          host: '10.112.16.11',
          port: 6003,
          family: 'tsp',
          password: 'Qmgps2019!@#',
          db: 0,
        },

      ],
    },
  };


  return {
    ...userConfig,
    ...config,
  };
};
