/* eslint valid-jsdoc: "off" */

'use strict';

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = () => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = exports = {};

  const userConfig = {
    chargingCycleApi: // 生产
        'http://10.7.116.247:60080/test/fawiovconditionquery/iov/analysis/driving-behavior/charging-cycle',
    rbacApi: //  生产
        'http://10.7.116.247:60080/test/faw-ops-portal/op/portal/basic/userInfoFind/account/loginByToken',
    travelApi: // 生产
        'http://10.7.116.247:60080/test/fawiovconditionquery/iov/vhl/locationsList',
  };
  config.mongoose = {
    clients: {
      etlDB: { // 原始数据库
        url: 'mongodb://faw-etl:faw-etl123@10.120.9.133:27042,10.120.9.134:27042,10.120.9.135:27042/faw-etl?replicaSet=rs', // 生产
        options: {
          socketTimeoutMS: 900000,
          useUnifiedTopology: true,
          poolSize: 40,
        },
      },
      etlLocalDB: { // 本地清洗后的数据库
        url: 'mongodb://faw-etl:faw-etl123@10.120.9.133:27042,10.120.9.134:27042,10.120.9.135:27042/faw-etl-local3?replicaSet=rs', // 生产
        options: {
          socketTimeoutMS: 900000,
          useUnifiedTopology: true,
          poolSize: 40,
        },
      },
      etlAutoDB: {
        url: 'mongodb://faw:fawl123@10.120.8.56:27041,10.120.8.19:27041,10.120.8.38:27041/faw?replicaSet=rs', // 生产
        options: {
          socketTimeoutMS: 900000,
          useUnifiedTopology: true,
          poolSize: 40,
        },
      },
    },
  };
  config.redis = {
    client: {
      cluster: true,
      nodes: [
        {
          host: '10.120.8.70',
          port: 16377,
          family: 'tsp',
          password: 'tspRedis123',
          db: 0,
        },
        {
          host: '10.120.8.64',
          port: 16377,
          family: 'tsp',
          password: 'tspRedis123',
          db: 0,
        },
        {
          host: '10.120.8.68',
          port: 16377,
          family: 'tsp',
          password: 'tspRedis123',
          db: 0,
        },
        {
          host: '10.120.8.71',
          port: 16377,
          family: 'tsp',
          password: 'tspRedis123',
          db: 0,
        },
        {
          host: '10.120.8.67',
          port: 16377,
          family: 'tsp',
          password: 'tspRedis123',
          db: 0,
        },
        {
          host: '10.120.8.75',
          port: 16377,
          family: 'tsp',
          password: 'tspRedis123',
          db: 0,
        },
        {
          host: '10.120.8.66',
          port: 16377,
          family: 'tsp',
          password: 'tspRedis123',
          db: 0,
        },
        {
          host: '10.120.8.74',
          port: 16377,
          family: 'tsp',
          password: 'tspRedis123',
          db: 0,
        },
        {
          host: '10.120.8.69',
          port: 16377,
          family: 'tsp',
          password: 'tspRedis123',
          db: 0,
        },
        {
          host: '10.120.8.104',
          port: 16377,
          family: 'tsp',
          password: 'tspRedis123',
          db: 0,
        },
        {
          host: '10.120.8.73',
          port: 16377,
          family: 'tsp',
          password: 'tspRedis123',
          db: 0,
        },
        {
          host: '10.120.8.65',
          port: 16377,
          family: 'tsp',
          password: 'tspRedis123',
          db: 0,
        },
      ],
    },
  };// 生产


  return {
    ...config,
    ...userConfig,
  };
};
